Name:           perl-Email-MIME-Modifier
Version:        1.444
Release:        1%{?dist}
Summary:        Modify Email::MIME Objects Easily

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-MIME-Modifier/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-MIME-Modifier-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Email::MessageID) >= 1.2
BuildRequires:  perl(Email::MIME) >= 1.82
BuildRequires:  perl(Email::MIME::ContentType) >= 1.0
BuildRequires:  perl(Email::MIME::Encodings) >= 1.313
BuildRequires:  perl(Email::Simple) >= 1.92
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Provides a number of useful methods for manipulating MIME messages.
These method are declared in the "Email::MIME" namespace, and are used
with "Email::MIME" objects.


%prep
%setup -q -n Email-MIME-Modifier-%{version}

# Provides: filter perl(Email::MIME)
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Fvx 'perl(Email::MIME)'"
%define __perl_provides %{provfilt}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc Changes README
%{perl_vendorlib}/Email/MIME/
%{_mandir}/man3/Email::MIME::Modifier.3pm*

%changelog
* Mon Mar 19 2012 Paul Howarth <paul@city-fan.org> - 1.444-1
- Update to 1.443 (#725227)
  - Correct body_set behavior to handle refs
  - Reformat changelog to standard PEP format
  - Completely horrible fix to prevent re-encoding of encoded text during
    creation
  - Be compatible with (and require) Email::MIME::Encodings 1.313
  - Add test for the stupid parts_set($one_part) cases
- Fix license tag
- Drop Email::MIME::ContentType version requirement to 1.0 as per upstream
- Bump version requirement of Email::MIME::Encodings to 1.313 as per upstream
- BR: perl(ExtUtils::MakeMaker) for module build
- BR: perl(Test::More) ≥ 0.47 for test suite
- Simplify provides filter
- Don't use macros for commands
- Don't need to remove empty directories from buildroot
- Use %%{_fixperms} macro rather than our own chmod incantation
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Make %%files list more explicit
- Drop %%defattr, redundant since rpm 4.4

* Fri Dec  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.441-1
- Update to 1.441.

* Sat Oct 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.440-1
- Update to 1.440.

* Fri Jul 14 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.43-1
- Update to 1.43.

* Thu Sep  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.42-2
- Filter the Email::MIME provide.

* Thu Sep 08 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.42-1
- First build.
